Выпуск Snuffleupagus 0.5.1, модуля для блокирования уязвимостей в PHP-приложениях

После года разработки опубликован выпуск проекта Snuffleupagus 0.5.1, предоставляющего модуль к интерпретатору PHP7 для повышения безопасности окружения и блокирования типовых ошибок, приводящих к появлению уязвимостей в выполняемых PHP-приложениях. Модуль также позволяет создавать виртуальные патчи для устранения конкретных проблем без изменения исходных текстов уязвимого приложения, что удобно для применения в системах массового хостинга, на которых невозможно добиться поддержания всех пользовательских приложений в актуальном виде. Накладные расходы от работы модуля оцениваются как минимальные. Модуль написан на языке Си, подключается в форме разделяемой библиотеки (“extension=snuffleupagus.so” в php.ini) и распространяется под лицензией LGPL 3.0.

from OpenNews.opennet.ru: Основная лента https://ift.tt/2V5nkQo
via IFTTT

Leave a Reply